=== sailcov/Makefile ===

sailcov: *.ml dune
	dune build main.exe
	cp -f ../_build/default/sailcov/main.exe sailcov
