=== lib/coverage/Makefile ===
libsail_coverage.a: src/*.rs Cargo.toml Makefile
	cargo build --release
	cp target/release/libsail_coverage.a .
