=== debian/changelog ===
sail-ocaml (0.19.1+dfsg5-1) unstable; urgency=medium

  * Initial release. (Closes: #1065419)

 -- Bo YU <vimer@debian.org>  Tue, 10 Jun 2025 17:36:25 +0800
