=== debian/control ===
Source: sail-ocaml
Priority: optional
Section: ocaml
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Bo YU <vimer@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 dh-ocaml (>= 1.2),
 liblinenoise-ocaml-dev,
 libdune-ocaml-dev,
 libbase64-ocaml-dev,
 libbisect-ppx-ocaml-dev,
 menhir,
 libmenhir-ocaml-dev,
 ott-tools,
 libbiniou-ocaml-dev,
 libpprint-ocaml-dev,
 ocaml-odoc,
 libyojson-ocaml-dev,
 libnum-ocaml-dev,
 libzarith-ocaml-dev,
 libomd-ocaml-dev,
 lem,
 liblem-ocaml-dev,
 liblinksem-ocaml-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/rems-project/sail
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/sail-ocaml.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/sail-ocaml
Description: language describes the instruction semantics of processors
 Sail is a language for describing the instruction-set
 architecture (ISA) semantics of processors. Sail aims to provide a
 engineer-friendly, vendor-pseudocode-like language for describing
 instruction semantics. It is essentially a first-order imperative
 language, but with lightweight dependent typing for numeric types and
 bitvector lengths, which are automatically checked using Z3. It has
 been used for several papers, available from
 http://www.cl.cam.ac.uk/~pes20/sail/

Package: libsail-ocaml-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${ocaml:Depends},
Suggests:
 ocaml-findlib
Provides: ${ocaml:Provides}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains sail libraries files.

Package: sail-ocaml
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${ocaml:Depends},
 libsail-ocaml-dev (= ${binary:Version}),
Suggests:
 ocaml-findlib
Provides: ${ocaml:Provides}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 Tools and OCaml support files for the Sail language.
