=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export LEMLIB=/usr/share/lem/library

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

execute_after_dh_auto_install:
	# remove these non documentation files for sail itself
	rm -rf $(CURDIR)/debian/tmp/usr/share/sail/lib/hol/.gitignore
	rm -rf $(CURDIR)/debian/tmp/usr/share/sail/lib/isabelle/.gitignore
	rm -rf $(CURDIR)/debian/tmp/usr/share/sail/LICENSE
	rm -rf $(CURDIR)/debian/tmp/usr/share/sail/lib/isabelle/document
	rm -rf $(CURDIR)/debian/tmp/usr/share/sail/lib/isabelle/manual
	rm -rf $(CURDIR)/debian/tmp/usr/share/sail/THIRD_PARTY_FILES.md
	rm -rf $(CURDIR)/debian/tmp/usr/share/sail/lib/sail.tex

override_dh_ocaml:
	dh_ocaml --nodefined-map=libsail-ocaml-dev:Base64__,Base64__Unsafe,Base64,Omd_lexer_fs,Omd_backend,Omd_parser,Omd_lexer,Html_characters,Omd,Omd_representation,Omd_xtxt,Omd_utils,Omd_html

override_dh_dwz:
	dh_dwz --no-dwz-multifile
