=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg.*$//,repacksuffix=+dfsg,compression=xz \
https://github.com/rems-project/sail/tags .*/archive/.*/(\d+(?:\.\d+)+)\.tar\.gz
